freemarker.core

## Class StopException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - freemarker.template.TemplateException
      - - freemarker.core.StopException

All Implemented Interfaces:
  Serializable

    public class StopException
    extends TemplateException

This exception is thrown when a `#stop` directive is encountered.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `printStackTrace(PrintStream ps)` Overrides `Throwable.printStackTrace(PrintStream)` so that it will include the FTL stack trace.
`void` `printStackTrace(PrintWriter pw)` Overrides `Throwable.printStackTrace(PrintWriter)` so that it will include the FTL stack trace.

### Methods inherited from class freemarker.template.TemplateException

`getBlamedExpressionString, getCauseException, getColumnNumber, getEndColumnNumber, getEndLineNumber, getEnvironment, getFTLInstructionStack, getLineNumber, getMessage, getMessageWithoutStackTop, getTemplateName, getTemplateSourceName, printStackTrace, printStackTrace, printStandardStackTrace, printStandardStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### printStackTrace

    public void printStackTrace(PrintWriter pw)

Description copied from class: `TemplateException`
Overrides `Throwable.printStackTrace(PrintWriter)` so that it will include the FTL stack trace.

Overrides:
  `printStackTrace` in class `TemplateException`

#### printStackTrace

    public void printStackTrace(PrintStream ps)

Description copied from class: `TemplateException`
Overrides `Throwable.printStackTrace(PrintStream)` so that it will include the FTL stack trace.

Overrides:
  `printStackTrace` in class `TemplateException`